Bug 248392 - Not possible to enter a subtasks.
Summary: Not possible to enter a subtasks.
Status: CLOSED FIXED
Alias: None
Product: KOrganizer Mobile
Classification: Applications
Component: tasks (show other bugs)
Version: unspecified
Platform: Maemo 5 Linux
: NOR normal
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-19 15:48 UTC by Ludwig Reiter
Modified: 2010-10-13 16:52 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Reiter 2010-08-19 15:48:08 UTC
Version: e5 n900 4.5~20100813.1163254-1maemo1.1164259

I wanted to enter a subtask, but an action is missing.
Comment 1 Bertjan Broeksema 2010-10-06 12:56:36 UTC
SVN commit 1183137 by bbroeksema:

Add an action for adding sub todo's

NOTE: The task list in the main view of the application is a *list*
      and not a tree. So subtasks will appear at the same level as its
      parent tasks atm. I'll therefore leave the bug open for now.
      Stephen: is there an easy solution for this?

CCBUG: 248392
CCMAIL: steveire@gmail.com


 M  +1 -1      TaskActions.qml  
 M  +38 -0     mainview.cpp  
 M  +3 -0      mainview.h  
 M  +23 -0     tasksactionmanager.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1183137
Comment 2 Bertjan Broeksema 2010-10-06 14:19:48 UTC
Email threading has the same problem. So I close this bug because it is possible now to create subtasks, even though it doesn't look like that in the treeview currently. I checked by creating a subtask and opening korganizer (desktop version) with the same Akonadi data and the task indeed shows up as a subtask there.

Eventually a new bug for a tree view (or other kind of indication for subtasks) in the application could be opened.
Comment 3 Felix Wolfsteller 2010-10-13 16:52:38 UTC
Prefixing with a number would do (e.g. follow the scheme 1.0 , 1.1, 2.0, 2.1 ...).

Confirming subtask functionality, version 4:4.5~20101013.1185418-1maemo1.1185177 .